var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
/** The VegaImageUploaderInputController class is responsible for handling user interactions and controlling the input element of the VegaImageUploader component. */
export class VegaImageUploaderInputController extends VegaSlimmer {
  /**
   * The function triggers a click event on a file input element if it is not disabled.
   */
  triggerInputClick() {
    if (this.disabled)
      return;
    this.inputRenderer.getFileInputRef().click();
  }
  /**
   * The function "resetInput" clears the value of a file input element.
   */
  resetInput() {
    this.inputRenderer.getFileInputRef().value = '';
  }
}
__decorate([
  MapToComponentField({ componentFieldName: 'vegaImageUploaderInputRenderer' })
], VegaImageUploaderInputController.prototype, "inputRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaImageUploaderInputController.prototype, "disabled", void 0);
